Bug 470058 - Separate testopia xmlrpc connection/login class from other classes
Separate testopia xmlrpc connection/login class from other classes
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Weiss
Red Hat Satellite QA List
:
Depends On:
Blocks: 470057
  Show dependency treegraph
 
Reported: 2008-11-05 10:18 EST by Jeff Weiss
Modified: 2014-11-09 17:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-15 10:59:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mylyn/context/zip (2.69 KB, application/octet-stream)
2008-11-05 15:05 EST, Jeff Weiss
no flags Details

  None (edit)
Description Jeff Weiss 2008-11-05 10:18:42 EST
I think we should do the login and pass back some object that contains the httpstate or httpclient.  Then we can use it again when we need another transaction.
Comment 1 Jeff Weiss 2008-11-05 15:05:14 EST
Created attachment 322639 [details]
mylyn/context/zip
Comment 2 RHQ Project XMLRPC User 2009-11-16 09:58:36 EST
Verified by Automated Test createRole_Test parameters: ([])
Automation log:
Running against JON version '2.3.0'<br>
Sleep for 3ms.<br>
Open URL '/Login.do'.<br>
Current URL is http://jweiss-rhel1.usersys.redhat.com:7080/Login.do .<br>
Type 'rhqadmin' into textbox: j_username<br>
Type 'rhqadmin' into password textbox: j_password<br>
Click on submit button: button 'Login'. (//input[@value='Login'])<br>
Hover over link: top level menu 'Overview'. (//div[.='Overview'])<br>
Click on link: menu item 'Auto Discovery Queue'. (//span[.='Auto Discovery Queue'])<br>
Click on image: //img[@title='Expand All']<br>
Check //input[starts-with(@onclick,'selectAll') or starts-with(@onclick,'checkAll')]<br>
Click on submit button: //img[contains(@src,'import')]|//input[@value='IMPORT']<br>
Asserted: Error block message is not present.<br>
Asserted: Confirmation block message is present.  Contents: Imported [0] platforms and [0] servers.<br>
Asserted: Confirmation block message matches pattern "Imported \[\d+\] platforms and \[\d+\] servers."<br>
Open URL '/ResourceHub.do'.<br>
Current URL is http://jweiss-rhel1.usersys.redhat.com:7080/ResourceHub.do .<br>
Hover over link: top level menu 'Resources'. (//div[.='Resources'])<br>
Click on link: menu item 'Servers'. (//span[.='Servers'])<br>
Select option 'label=JBossAS Server' in list '//select[@name='resourceType']'.<br>
Select option 'label=JBoss Application Server' in list '//select[@name='plugin']'.<br>
Found matching resource 'jweiss-rhel1.usersys.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099)' for resource spec: JBoss Application Server:JBossAS Server[RHQ Server]<br>
Open URL '/ResourceHub.do'.<br>
Current URL is http://jweiss-rhel1.usersys.redhat.com:7080/ResourceHub.do .<br>
Click on link: 'Browse Resources'. (link=Browse Resources)<br>
Click on link: 'Servers*'. (link=Servers*)<br>
Click on link: 'jweiss-rhel1.usersys.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099)'. (link=jweiss-rhel1.usersys.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099))<br>
Currently opened resource: jweiss-rhel1.usersys.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099)<br>
Currently opened resource path: jweiss-rhel1.usersys.redhat.com > jweiss-rhel1.usersys.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099)<br>
Click on link: tab 'inventory'. (//div[normalize-space(.)='inventory' and contains(@class,'tab-inactive')])<br>
Click on link: subtab 'connection'. (//div[normalize-space(.)='connection' and contains(@class,'subtab-inactive')])<br>
Found jon install path: /home/jonqa/jon/jon-server-2.3.0.GA/jbossas<br>
Open URL '/Start.do'.<br>
Current URL is http://jweiss-rhel1.usersys.redhat.com:7080/Start.do .<br>
Hover over link: top level menu 'Administration'. (//div[.='Administration'])<br>
Hover over link: menu item 'Security'. (//span[.='Security'])<br>
Click on link: menu item 'Users'. (//span[.='Users'])<br>
Click on image: //table[@class='ToolbarContent']//img[contains(@src,'new')]<br>
Type 'Otto' into textbox: //input[@name='firstName']<br>
Type 'Mation' into textbox: //input[@name='lastName']<br>
Type 'ottomation11258383473349' into textbox: //input[@name='name' or @id='name']|//input[contains(@id,'name') and contains(@name, 'name')]<br>
Type 'ottomation1@redhat.com' into textbox: //input[@name='emailAddress']<br>
Type 'mypassword' into password textbox: //input[@name='newPassword']<br>
Type 'mypassword' into password textbox: //input[@name='confirmPassword']<br>
Click on input image: xpath=//input[@name='okassign' or (@value='OK' and not(contains(@onclick,'aboutPanel'))) or @title='Click to Save Changes' or @name='ok']<br>
Asserted: Error block message is not present.<br>
Asserted: 'Add To Roles' control is present.<br>
Click on input image: xpath=//input[@name='okassign' or (@value='OK' and not(contains(@onclick,'aboutPanel'))) or @title='Click to Save Changes' or @name='ok']<br>
Click on link: 'Users'. (link=Users)<br>
Asserted: User link 'ottomation11258383473349' is present.<br>
Hover over link: top level menu 'Administration'. (//div[.='Administration'])<br>
Hover over link: menu item 'Security'. (//span[.='Security'])<br>
Click on link: menu item 'Roles'. (//span[.='Roles'])<br>
Hover over link: top level menu 'Administration'. (//div[.='Administration'])<br>
Hover over link: menu item 'Security'. (//span[.='Security'])<br>
Click on link: menu item 'Roles'. (//span[.='Roles'])<br>
Click on image: //table[@class='ToolbarContent']//img[contains(@src,'new')]<br>
Type 'Automation User1258383473349' into textbox: //input[@name='name' or @id='name']|//input[contains(@id,'name') and contains(@name, 'name')]<br>
Type 'user role created by automation!!! *(&@#*$

	more description<hithere>' into textarea: //textarea[@name='description']|//input[contains(@id, 'description')]<br>
Check //input[@value='MANAGE_ALERTS']<br>
Check //input[@value='MODIFY_RESOURCE']<br>
Click on input image: xpath=//input[@name='okassign' or (@value='OK' and not(contains(@onclick,'aboutPanel'))) or @title='Click to Save Changes' or @name='ok']<br>
Asserted: Error block message is not present.<br>
Asserted: Confirmation block message is present.  Contents: Role Automation User1258383473349 has been created.<br>
Need to verify bug 470058!<br>
Comment 3 RHQ Project XMLRPC User 2009-11-16 10:10:05 EST
Verified by Automated Test createRole_Test parameters: ([])
Automation log:
Running against JON version '2.3.0'<br>
Sleep for 3ms.<br>
Open URL '/Login.do'.<br>
Current URL is http://jweiss-rhel1.usersys.redhat.com:7080/Login.do .<br>
Type 'rhqadmin' into textbox: j_username<br>
Type 'rhqadmin' into password textbox: j_password<br>
Click on submit button: button 'Login'. (//input[@value='Login'])<br>
Hover over link: top level menu 'Overview'. (//div[.='Overview'])<br>
Click on link: menu item 'Auto Discovery Queue'. (//span[.='Auto Discovery Queue'])<br>
Click on image: //img[@title='Expand All']<br>
Check //input[starts-with(@onclick,'selectAll') or starts-with(@onclick,'checkAll')]<br>
Click on submit button: //img[contains(@src,'import')]|//input[@value='IMPORT']<br>
Asserted: Error block message is not present.<br>
Asserted: Confirmation block message is present.  Contents: Imported [0] platforms and [0] servers.<br>
Asserted: Confirmation block message matches pattern "Imported \[\d+\] platforms and \[\d+\] servers."<br>
Open URL '/ResourceHub.do'.<br>
Current URL is http://jweiss-rhel1.usersys.redhat.com:7080/ResourceHub.do .<br>
Hover over link: top level menu 'Resources'. (//div[.='Resources'])<br>
Click on link: menu item 'Servers'. (//span[.='Servers'])<br>
Select option 'label=JBossAS Server' in list '//select[@name='resourceType']'.<br>
Select option 'label=JBoss Application Server' in list '//select[@name='plugin']'.<br>
Found matching resource 'jweiss-rhel1.usersys.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099)' for resource spec: JBoss Application Server:JBossAS Server[RHQ Server]<br>
Open URL '/ResourceHub.do'.<br>
Current URL is http://jweiss-rhel1.usersys.redhat.com:7080/ResourceHub.do .<br>
Click on link: 'Browse Resources'. (link=Browse Resources)<br>
Click on link: 'Servers*'. (link=Servers*)<br>
Click on link: 'jweiss-rhel1.usersys.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099)'. (link=jweiss-rhel1.usersys.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099))<br>
Currently opened resource: jweiss-rhel1.usersys.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099)<br>
Currently opened resource path: jweiss-rhel1.usersys.redhat.com > jweiss-rhel1.usersys.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099)<br>
Click on link: tab 'inventory'. (//div[normalize-space(.)='inventory' and contains(@class,'tab-inactive')])<br>
Click on link: subtab 'connection'. (//div[normalize-space(.)='connection' and contains(@class,'subtab-inactive')])<br>
Found jon install path: /home/jonqa/jon/jon-server-2.3.0.GA/jbossas<br>
Open URL '/Start.do'.<br>
Current URL is http://jweiss-rhel1.usersys.redhat.com:7080/Start.do .<br>
Hover over link: top level menu 'Administration'. (//div[.='Administration'])<br>
Hover over link: menu item 'Security'. (//span[.='Security'])<br>
Click on link: menu item 'Users'. (//span[.='Users'])<br>
Click on image: //table[@class='ToolbarContent']//img[contains(@src,'new')]<br>
Type 'Otto' into textbox: //input[@name='firstName']<br>
Type 'Mation' into textbox: //input[@name='lastName']<br>
Type 'ottomation11258384158434' into textbox: //input[@name='name' or @id='name']|//input[contains(@id,'name') and contains(@name, 'name')]<br>
Type 'ottomation1@redhat.com' into textbox: //input[@name='emailAddress']<br>
Type 'mypassword' into password textbox: //input[@name='newPassword']<br>
Type 'mypassword' into password textbox: //input[@name='confirmPassword']<br>
Click on input image: xpath=//input[@name='okassign' or (@value='OK' and not(contains(@onclick,'aboutPanel'))) or @title='Click to Save Changes' or @name='ok']<br>
Asserted: Error block message is not present.<br>
Asserted: 'Add To Roles' control is present.<br>
Click on input image: xpath=//input[@name='okassign' or (@value='OK' and not(contains(@onclick,'aboutPanel'))) or @title='Click to Save Changes' or @name='ok']<br>
Click on link: 'Users'. (link=Users)<br>
Asserted: User link 'ottomation11258384158434' is present.<br>
Hover over link: top level menu 'Administration'. (//div[.='Administration'])<br>
Hover over link: menu item 'Security'. (//span[.='Security'])<br>
Click on link: menu item 'Roles'. (//span[.='Roles'])<br>
Hover over link: top level menu 'Administration'. (//div[.='Administration'])<br>
Hover over link: menu item 'Security'. (//span[.='Security'])<br>
Click on link: menu item 'Roles'. (//span[.='Roles'])<br>
Click on image: //table[@class='ToolbarContent']//img[contains(@src,'new')]<br>
Type 'Automation User1258384158434' into textbox: //input[@name='name' or @id='name']|//input[contains(@id,'name') and contains(@name, 'name')]<br>
Type 'user role created by automation!!! *(&@#*$

	more description<hithere>' into textarea: //textarea[@name='description']|//input[contains(@id, 'description')]<br>
Check //input[@value='MANAGE_ALERTS']<br>
Check //input[@value='MODIFY_RESOURCE']<br>
Click on input image: xpath=//input[@name='okassign' or (@value='OK' and not(contains(@onclick,'aboutPanel'))) or @title='Click to Save Changes' or @name='ok']<br>
Asserted: Error block message is not present.<br>
Asserted: Confirmation block message is present.  Contents: Role Automation User1258384158434 has been created.<br>
Need to verify bug 470058!<br>
Comment 4 RHQ Project XMLRPC User 2009-11-16 15:49:57 EST
Verified by Automated Test runAgentCommand_Test parameters: ([help, inventory])
Automation log:
Running against JON version '2.3.0'<br>
Sleep for 3ms.<br>
Open URL '/Login.do'.<br>
Current URL is http://jweiss-rhel1.usersys.redhat.com:7080/Login.do .<br>
Type 'rhqadmin' into textbox: j_username<br>
Type 'rhqadmin' into password textbox: j_password<br>
Click on submit button: button 'Login'. (//input[@value='Login'])<br>
Hover over link: top level menu 'Overview'. (//div[.='Overview'])<br>
Click on link: menu item 'Auto Discovery Queue'. (//span[.='Auto Discovery Queue'])<br>
Click on image: //img[@title='Expand All']<br>
Check //input[starts-with(@onclick,'selectAll') or starts-with(@onclick,'checkAll')]<br>
Click on submit button: //img[contains(@src,'import')]|//input[@value='IMPORT']<br>
Asserted: Error block message is not present.<br>
Asserted: Confirmation block message is present.  Contents: Imported [0] platforms and [0] servers.<br>
Asserted: Confirmation block message matches pattern "Imported \[\d+\] platforms and \[\d+\] servers."<br>
Open URL '/ResourceHub.do'.<br>
Current URL is http://jweiss-rhel1.usersys.redhat.com:7080/ResourceHub.do .<br>
Hover over link: top level menu 'Resources'. (//div[.='Resources'])<br>
Click on link: menu item 'Servers'. (//span[.='Servers'])<br>
Select option 'label=JBossAS Server' in list '//select[@name='resourceType']'.<br>
Select option 'label=JBoss Application Server' in list '//select[@name='plugin']'.<br>
Found matching resource 'jweiss-rhel1.usersys.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099)' for resource spec: JBoss Application Server:JBossAS Server[RHQ Server]<br>
Open URL '/ResourceHub.do'.<br>
Current URL is http://jweiss-rhel1.usersys.redhat.com:7080/ResourceHub.do .<br>
Click on link: 'Browse Resources'. (link=Browse Resources)<br>
Click on link: 'Servers*'. (link=Servers*)<br>
Click on link: 'jweiss-rhel1.usersys.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099)'. (link=jweiss-rhel1.usersys.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099))<br>
Currently opened resource: jweiss-rhel1.usersys.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099)<br>
Currently opened resource path: jweiss-rhel1.usersys.redhat.com > jweiss-rhel1.usersys.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099)<br>
Click on link: tab 'inventory'. (//div[normalize-space(.)='inventory' and contains(@class,'tab-inactive')])<br>
Click on link: subtab 'connection'. (//div[normalize-space(.)='connection' and contains(@class,'subtab-inactive')])<br>
Found jon install path: /home/jonqa/jon/jon-server-2.3.0.GA/jbossas<br>
Open URL '/Start.do'.<br>
Current URL is http://jweiss-rhel1.usersys.redhat.com:7080/Start.do .<br>
Open URL '/ResourceHub.do'.<br>
Current URL is http://jweiss-rhel1.usersys.redhat.com:7080/ResourceHub.do .<br>
Hover over link: top level menu 'Resources'. (//div[.='Resources'])<br>
Click on link: menu item 'Servers'. (//span[.='Servers'])<br>
Select option 'label=RHQ Agent' in list '//select[@name='resourceType']'.<br>
Select option 'label=RHQ Agent' in list '//select[@name='plugin']'.<br>
Found matching resource 'jweiss-rhel1.usersys.redhat.com RHQ Agent' for resource spec: RHQ Agent:RHQ Agent<br>
Open URL '/ResourceHub.do'.<br>
Current URL is http://jweiss-rhel1.usersys.redhat.com:7080/ResourceHub.do .<br>
Hover over link: top level menu 'Resources'. (//div[.='Resources'])<br>
Click on link: menu item 'Servers'. (//span[.='Servers'])<br>
Hover over link: top level menu 'Resources'. (//div[.='Resources'])<br>
Click on link: menu item 'Platforms'. (//span[.='Platforms'])<br>
Select option 'label=Operating System Platforms' in list '//select[@name='plugin']'.<br>
Found matching resource 'jweiss-rhel1.usersys.redhat.com' for resource spec: Operating System Platforms:null<br>
Open URL '/ResourceHub.do'.<br>
Current URL is http://jweiss-rhel1.usersys.redhat.com:7080/ResourceHub.do .<br>
Click on link: 'Browse Resources'. (link=Browse Resources)<br>
Click on link: 'Servers*'. (link=Servers*)<br>
Click on link: 'jweiss-rhel1.usersys.redhat.com RHQ Agent'. (link=jweiss-rhel1.usersys.redhat.com RHQ Agent)<br>
Currently opened resource: jweiss-rhel1.usersys.redhat.com RHQ Agent<br>
Currently opened resource path: jweiss-rhel1.usersys.redhat.com > jweiss-rhel1.usersys.redhat.com RHQ Agent<br>
Click on link: tab 'operations'. (//div[normalize-space(.)='operations' and contains(@class,'tab-inactive')])<br>
Click on link: subtab 'history'. (//div[normalize-space(.)='history' and contains(@class,'subtab-inactive')])<br>
Click on checkbox: //input[@name='null' and contains(@onclick,'completedSelectedItems')]<br>
Click on submit button: button 'DELETE SELECTED'. (//input[@value='DELETE SELECTED'])<br>
Asserted: Error block message is not present.<br>
Asserted: Confirmation block message is present.  Contents: Deleted resource operation records: 10112<br>
Click on link: subtab 'new'. (//div[normalize-space(.)='new' and contains(@class,'subtab-inactive')])<br>
Click on link: 'Execute Prompt Command'. (link=Execute Prompt Command)<br>
Type 'help' into textbox: next to text 'Command *'. (//td[(normalize-space(.)='Command *')]/..//*[self::input[@type='text' or @type='password'] or self::textarea])<br>
Click on submit button: button 'SCHEDULE'. (//input[@value='SCHEDULE'])<br>
Asserted: Error block message is not present.<br>
Tab 'history' already appears to be selected.<br>
Asserted: Operation status of 'Success' or 'Failure' within 596348ms.<br>
Asserted: Success message is present<br>
Asserted: Operation completed after its scheduled start time.<br>
Click on link: 'Execute Prompt Command'. (link=Execute Prompt Command)<br>
Asserted: Agent output contains word 'inventory'<br>
Test is now unblocked by bug 470058.<br>
Comment 5 Miroslav Suchý 2011-01-23 11:59:34 EST
Is this bug still related to RHN Satellite? Or can be closed?

Note You need to log in before you can comment on or make changes to this bug.